package me.hammerle.supersnuvi.entity.components;

import me.hammerle.supersnuvi.entity.Entity;

public class Energy
{
    public final static Energy NULL = new Energy(null);
    
    protected final Entity ent;
    
    protected Energy(Entity ent)
    {
        this.ent = ent;
    }
    
    public void tick()
    {
    }

    public void addEnergy(float e)
    {
    }
    
    public final void addEnergyPercent(float percent)
    {
        addEnergy(percent * getMaxEnergy());
    }
    
    public float getMaxEnergy()
    {
        return 0.0f;
    }
    
    public float getEnergyPercent()
    {
        return getEnergy() / getMaxEnergy();
    }
    
    public float getEnergy()
    {
        return 0.0f;
    }
}
