package me.hammerle.supersnuvi.entity.components;

import me.hammerle.supersnuvi.entity.Entity;

public class Movement
{
    public final static Movement NULL = new Movement(null);
    
    protected final Entity ent;
    
    public Movement(Entity ent) 
    {
        this.ent = ent;
    }
    
    public float getVelocityX()
    {
        return 0.0f;
    }
    
    public float getVelocityY()
    {
        return 0.0f;
    }
    
    public boolean canMoveEverywhere()
    {
        return false;
    }
    
    //--------------------------------------------------------------------------
    // jumping
    //--------------------------------------------------------------------------
    
    public boolean jump()
    {
        return false;
    }
    
    public float getJumpPower()
    {
        return 0.0f;
    }
    
    //--------------------------------------------------------------------------
    // gravity
    //--------------------------------------------------------------------------
    
    public boolean hasGravity()
    {
        return false;
    }
    
    public float getGravityFactor()
    {
        return 1.0f;
    }
    
    //--------------------------------------------------------------------------
    // friction
    //--------------------------------------------------------------------------
    
    public void setInWater(boolean b)
    {
    }
    
    public void setFrictionFactor(float f)
    {
    }
    
    public float getFrictionFactor()
    {
        return 1.0f;
    }
}
