package me.hammerle.supersnuvi.tiles;

import me.hammerle.supersnuvi.entity.Entity;
import me.hammerle.supersnuvi.util.Face;
import me.hammerle.supersnuvi.util.SoundUtils;

public class TrampolinTile extends BaseBoxTile
{
    public TrampolinTile() 
    {
        super(0.1875f, 0.0f, 0.25f, 0.0625f);
    }

    @Override
    public void onEntityCollide(Entity ent, int x, int y, Face face) 
    {
        if(face == Face.UP)
        {
            ent.setMotionY(-ent.getMovement().getJumpPower() * 1.5f);
            SoundUtils.playSound(SoundUtils.Sound.JUMP_ON_BOUNCE_SHROOM);
        }
    }
}
