package me.hammerle.supersnuvi.entity.components;

import me.hammerle.supersnuvi.entity.Entity;

public class Health
{
    public final static Health NULL = new Health(null);
    
    protected final Entity ent;
    
    protected Health(Entity ent)
    {
        this.ent = ent;
    }
    
    public void tick()
    {
    }
    
    public boolean isDead()
    {
        return false;
    }
    
    public boolean shouldDespawn()
    {
        return false;
    }
    
    public boolean wasHurt()
    {
        return false;
    }
    
    public boolean wasHealed()
    {
        return false;
    }
    
    public void addHealth(float h)
    {
    }
    
    public final void addHealthPercent(float percent)
    {
        addHealth(percent * getMaxHealth());
    }
    
    public float getMaxHealth()
    {
        return 0.0f;
    }
    
    public float getHealthPercent()
    {
        return getHealth() / getMaxHealth();
    }
    
    public float getHealth()
    {
        return 0.0f;
    }
}
