package me.hammerle.supersnuvi.entity.components;

public class ItemCollector
{
    public final static ItemCollector NULL = new ItemCollector(false, false);
    public final static ItemCollector HERO = new ItemCollector(true, true);
    
    private final boolean canCollect;
    private final boolean isHero;
    
    private ItemCollector(boolean canCollect, boolean isHero) 
    {
        this.canCollect = canCollect;
        this.isHero = isHero;
    }
    
    public boolean canCollect()
    {
        return canCollect;
    }
    
    public boolean isHero()
    {
        return isHero;
    }
}
