package me.hammerle.supersnuvi.entity.components;

import me.hammerle.supersnuvi.entity.Entity;
import me.hammerle.supersnuvi.tiles.Tile;

public class NoHealth extends Health
{
    public NoHealth(Entity ent)
    {
        super(ent);
    }

    @Override
    public boolean shouldDespawn()
    {
        return ent.getY() > ent.getLevel().getHeight() * Tile.SIZE;
    }
}
