package me.hammerle.supersnuvi.entity.components;

import me.hammerle.supersnuvi.entity.Entity;

public class StoneMovement extends Movement
{
    public StoneMovement(Entity ent) 
    {
        super(ent);
    }

    @Override
    public boolean hasGravity() 
    {
        return !ent.isAnimated();
    }
    
    @Override
    public float getGravityFactor() 
    {
        return 0.1f;
    }
    
    @Override
    public boolean canMoveEverywhere() 
    {
        return true;
    }  
}
