package me.hammerle.supersnuvi.entity.components.ai;

import me.hammerle.supersnuvi.entity.Entity;
import me.hammerle.supersnuvi.tiles.Location;
import me.hammerle.supersnuvi.tiles.Tile;
import me.hammerle.supersnuvi.util.Face;
import me.hammerle.supersnuvi.util.SoundUtils;

public class LondonerController extends Controller
{
    private boolean combatMode = false;
    private int combatTimer = 0;
    private int attackTimer = -1;
    private int attackCooldown = -1;
    private int dashTimer = -1;
    
    private final float motion = 1.5f;
    
    private final boolean evil;
    
    private boolean jump = false;  
    
    public LondonerController(Entity ent, boolean evil) 
    {
        super(ent);
        this.evil = evil;
    }
    /*
    @Override
    public boolean isInCombatMode() 
    {
        return combatMode || combatTimer < 0;
    }

    @Override
    public boolean isEvil() 
    {
        return isInCombatMode();
    }

    @Override
    public int getCombatTimer() 
    {
        return combatTimer;
    }

    @Override
    public boolean isAttacking() 
    {
        return attackTimer >= 0;
    }

    @Override
    public boolean isDashing() 
    {
        return dashTimer != -1;
    }

    @Override
    public void tick() 
    {
        if(ent.getHealth().isDead())
        {
            return;
        }
        
        if(!combatMode)
        {
            if(evil)
            {
                Entity hero = ent.getLevel().getHero();
                if(hero.squaredDistance(ent) <= 65536)
                {
                    ent.setMotionX(0.0f);
                    combatMode = true;
                    combatTimer = ent.getAnimator().getCombatStartTicks() - 1;
                    return;
                }
            }
            applyMotion();
            return;
        }
            
        if(combatTimer > 0)
        {
            combatTimer--;
            return;
        }
        
        if(attackCooldown > 0)
        {
            attackCooldown--;
        }
        
        if(attackTimer != -1)
        {
            attackTimer++;
            if(attackTimer >= ent.getAnimator().getAttackTicks())
            {
                attackTimer = -1;
                float sign = ent.getAnimator().drawImageFlipped() ? -1 : 1;
                float extend = sign * Tile.SIZE;
                boolean once = true;
                for(Entity e : ent.getLevel().getEntitiesCollidingWith(ent, ent.getBox().expand(extend, 0)))
                {
                    if(e.getController().isAttacking() && once)
                    {
                        once = false;
                        ent.setMotionX(-sign * 7);
                        e.setMotionX(sign * 7);
                    }
                    else if(!e.getController().isBlocking())
                    {
                        e.getHealth().addHealth(-14.2857);
                    }
                }
            }
            return;
        }
        else
        {
            Entity hero = ent.getLevel().getHero();
            float distance = hero.signedDistanceX(ent);
            if(Math.abs(distance) < (Tile.SIZE >> 1))
            {
                if(attackCooldown > 0)
                {
                    return;
                }
                attackTimer = 0;
                attackCooldown = ent.getAnimator().getAttackTicks() * 4;
                ent.getAnimator().setFlipped(distance < 0);
                return;
            }
        }
        
        if(dashTimer != -1)
        {
            dashTimer++;
            if(dashTimer > 15)
            {
                dashTimer = -1;
                ent.setMotionX(0.0f);
            }
            else
            {
                ent.setMotionX(ent.getAnimator().drawImageFlipped() ? -15 : 15);
            }
            return;
        }
         
        applyMotion();
    }
    
    private void applyMotion()
    {
        if(motion > Math.abs(ent.getMotionX()))
        {
            ent.setMotionX(ent.getAnimator().drawImageFlipped() ? -motion : motion);
        }
        if(jump)
        {
            SoundUtils.playSound(SoundUtils.Sound.LONDONER_JUMP);
            ent.getMovement().jump();
            jump = false;
        }
    }

    @Override
    public void onCollideWithEntity(Entity ent, Face face) 
    {
        if(ent.getMovement().useCollisionBox())
        {
            switchDirection(face);
        }
    }

    @Override
    public void onCollideWithTile(Location loc, Face face) 
    {
        if(loc.getTile().shouldAiUseCollisionBox(loc.getX(), loc.getY()))
        {
            switchDirection(face);
        }
    }
    
    private void switchDirection(Face face)
    {
        if(isEvil())
        {
            if(face == Face.LEFT || face == Face.RIGHT)
            {
                jump = true;
            }
        }
        else
        {
            if(face == Face.LEFT)
            {
                ent.getAnimator().setFlipped(true);
            }
            else if(face == Face.RIGHT)
            {
                ent.getAnimator().setFlipped(false);
            }
        }
    }*/
}
