package me.hammerle.supersnuvi.entity.components.animator;

import me.hammerle.supersnuvi.entity.Entity;
import me.hammerle.supersnuvi.entity.components.Health;
import me.hammerle.supersnuvi.util.Utils;

public class LondonerAnimator
{
    /*private final static Image[] EVIL_ATTACK = new Image[]
    {
        Utils.getImage("londoner/KnC1_a_f1", true),
        Utils.getImage("londoner/KnC1_a_f2", true),
        Utils.getImage("londoner/KnC1_a_f3", true),
        Utils.getImage("londoner/KnC1_a_f4", true),
        Utils.getImage("londoner/KnC1_a_f5", true)
    };
    
    private final static Image[] EVIL_DEATH = new Image[]
    {
        Utils.getImage("londoner/KnC1_d_f1"),
        Utils.getImage("londoner/KnC1_d_f2"),
        Utils.getImage("londoner/KnC1_d_f3"),
        Utils.getImage("londoner/KnC1_d_f4"),
        Utils.getImage("londoner/KnC1_d_f5"),
        Utils.getImage("londoner/KnC1_d_f6"),
        Utils.getImage("londoner/KnC1_d_f7")
    };
    
    private final static Image EVIL_DODGE = Utils.getImage("londoner/KnC1_dodge", true);
    
    private final static Image EVIL_IDLE = Utils.getImage("londoner/KnC1_idle", true);
    
    private final static Image[] TRANSFORM = new Image[]
    {
        Utils.getImage("londoner/KnC1_s_f1", true),
        Utils.getImage("londoner/KnC1_s_f2", true),
        Utils.getImage("londoner/KnC1_s_f3", true)
    };
    
    private final static Image[] EVIL_WALK = new Image[]
    {
        Utils.getImage("londoner/KnC1_w_f1", true),
        Utils.getImage("londoner/KnC1_w_f2", true),
        Utils.getImage("londoner/KnC1_w_f3", true),
        Utils.getImage("londoner/KnC1_w_f4", true),
        Utils.getImage("londoner/KnC1_w_f5", true),
        Utils.getImage("londoner/KnC1_w_f6", true)
    };
     
    private final static Image[] DEATH = new Image[]
    {
        Utils.getImage("londoner/londoner1_d_f1"),
        Utils.getImage("londoner/londoner1_d_f2"),
        Utils.getImage("londoner/londoner1_d_f3"),
        Utils.getImage("londoner/londoner1_d_f4"),
        Utils.getImage("londoner/londoner1_d_f5"),
        Utils.getImage("londoner/londoner1_d_f6"),
        Utils.getImage("londoner/londoner1_d_f7")
    };
    
    private final static Image IDLE = Utils.getImage("londoner/londoner1_idle", true);   
    
    private final static Image[] WALK = new Image[]
    {
        Utils.getImage("londoner/londoner1_w_f1", true),
        Utils.getImage("londoner/londoner1_w_f2", true),
        Utils.getImage("londoner/londoner1_w_f3", true),
        Utils.getImage("londoner/londoner1_w_f4", true),
        Utils.getImage("londoner/londoner1_w_f5", true),
        Utils.getImage("londoner/londoner1_w_f6", true)
    };
    
    private int counter = 0;
    private int frame = 0;
    
    private boolean flipped = false;
    */
    public LondonerAnimator(Entity ent) 
    {
    }
    /*
    @Override
    public int getCombatStartTicks() 
    {
        return TRANSFORM.length * 5;
    }
    
    @Override
    public int getAttackTicks() 
    {
        return EVIL_ATTACK.length * 5;
    }
    
    @Override
    public int getDeathTicks() 
    {
        return DEATH.length * 5;
    }
    
    @Override
    public void resetDefaultFrames()
    {
        counter = 0;
        frame = 0;
    }

    @Override
    public void render(IRenderer renderer) 
    {
        boolean flip = drawImageFlipped();
        double x = ent.getX() - 9;
        double y = ent.getY() + ent.getHeight() - 2;
        double w = ent.getWidth() * 2;
        double h = ent.getHeight();
        
        if(ent.getHealth().isDead())
        {
            Image[] death = ent.getController().isEvil() ? EVIL_DEATH : DEATH;
            if(frame >= death.length)
            {
                frame = 0;
            }
            renderer.drawImage(death[frame], x - (flip ? 0 : ent.getWidth()), y, w, h, flip);
            return;
        }
        
        x -= flip ? ent.getWidth() : 0;
        
        if(ent.getController().isInCombatMode())
        {
            int combatStart = ent.getController().getCombatTimer();
            if(combatStart > 0)
            {
                combatStart /= 5;
                bindSlot(TRANSFORM[combatStart]);
                renderer.drawImage(TRANSFORM[combatStart], x, y, w, h, flip);
                return;
            }
            else if(ent.getController().isDodging())
            {
                bindSlot(EVIL_DODGE);
                renderer.drawImage(EVIL_DODGE, x, y, w, h, flip);
                return;
            }
            else if(ent.getController().isAttacking())
            {
                if(frame >= EVIL_ATTACK.length)
                {
                    frame = 0;
                }
                bindSlot(EVIL_ATTACK[frame]);
                renderer.drawImage(EVIL_ATTACK[frame], x, y, w, h, flip);
                return;
            }
        }
        
        if(ent.getPreviousMotionX() != 0)
        {
            Image[] walk = ent.getController().isEvil() ? EVIL_WALK : WALK;
            if(frame >= walk.length)
            {
                frame = 0;
            }
            bindSlot(walk[frame]);
            renderer.drawImage(walk[frame], x, y, w, h, flip);
        }
        else
        {
            Image idle = ent.getController().isEvil() ? EVIL_IDLE : IDLE;
            bindSlot(idle);
            renderer.drawImage(idle, x, y, w, h, flip);
        }
    }
    
    @Override
    public boolean drawImageFlipped() 
    {
        return flipped;
    }

    @Override
    public void tick() 
    {   
        counter++;
        if(counter >= 6) 
        {
            counter = 0;
            frame++;
        }
        
        if(frame < 0)
        {
            frame = 0;
        }       
        
        if(ent.getController().isEvil())
        {
            flipped = ent.getLevel().getHero().signedDistanceX(ent) < 0;
        }
        else
        {
            if(ent.getMotionX() < 0)
            {
                flipped = true;
            }
            else if(ent.getMotionX() > 0)
            {
                flipped = false;
            }
        }
    }

    @Override
    public void setFlipped(boolean flipped) 
    {
        this.flipped = flipped;
    }
    
    private void bindSlot(Image image)
    {
        if(image != null)
        {
            Health h = ent.getHealth();
            if(h.wasHealed())
            {
                image.bindSlot(1);
            }
            else if(h.wasHurt())
            {
                image.bindSlot(0);
            }
            else
            {
                image.bindSlot(-1);
            }
        }
    }*/
}
