package me.hammerle.supersnuvi.tiles;

public class BaseTile extends Tile
{
    private final float tMinX;
    private final float tMaxX;
    private final float tMinY;
    private final float tMaxY;
    
    public BaseTile(float tMinX, float tMinY, float tMaxX, float tMaxY)
    {
        this.tMinX = tMinX;
        this.tMaxX = tMaxX;
        this.tMinY = tMinY;
        this.tMaxY = tMaxY;
    }
    
    @Override
    public float getTextureMinX()
    {
        return tMinX;
    }
    
    @Override
    public float getTextureMaxX()
    {
        return tMaxX;
    }
    
    @Override
    public float getTextureMinY()
    {
        return tMinY;
    }
    
    @Override
    public float getTextureMaxY()
    {
        return tMaxY;
    }
}
